package com.izouma.awesomeadmin.model;

import java.util.*;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonInclude;


@JsonAutoDetect
@JsonInclude(JsonInclude.Include.NON_NULL)
public class AimPlaceInfo {
    private Integer id;
    private String delFlag;
    private Date updateTime;
    private String updateUser;
    private Date createTime;
    private String createUser;
    private String name;
    private String type;
    private String ownedLandMarkId;
    private String arContentGroupId;
    private String arKitPosX;
    private String arKitPosY;
    private String arKitPosZ;
    private String arKitScale;
    private String arKitAngle;
    private String arKitShowLenth;
    private String gyroPosX;
    private String gyroPosY;
    private String gyroPosZ;
    private String gyroPosScale;
    private String gyroPosAngle;
    private String gyroPosShowLenth;
    private String vuforiaImageInfoAreaMarking;
    private String remark1;
    private String remark2;
    private String remark3;
    private String remark4;
    private String remark5;
    private String remark6;
    private Integer mapIndex;
    private String posX;
    private String posY;
    private String posZ;
    private String remark7;
    private String remark8;
    private String remark9;
    private String frontLevelId;
    private String icon;
    private Integer iconRank;
    private String aloneFlag;
    private String autoPlay;
    private String autoDisplay;
    private String showLevel;
    private String templateId;
    private String power;
    private String areaId;
    private String thingId;
    private String aimGroupId;
    private String templateAimId;

    private String idStr;

    private String searchKey;

    /**
     * and,test_name,like,value;or,remark,=,123
     */
    private String advancedQuery;

    /**
     * column_name_,desc_;column_name_,asc
     */
    private String orderByStr;

    private List<ArContent> arContentList;

    public Integer getId() {
        return this.id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getDelFlag() {
        return this.delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public Date getUpdateTime() {
        return this.updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateUser() {
        return this.updateUser;
    }

    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateUser() {
        return this.createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public String getName() {
        return this.name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return this.type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getOwnedLandMarkId() {
        return this.ownedLandMarkId;
    }

    public void setOwnedLandMarkId(String ownedLandMarkId) {
        this.ownedLandMarkId = ownedLandMarkId;
    }

    public String getArContentGroupId() {
        return this.arContentGroupId;
    }

    public void setArContentGroupId(String arContentGroupId) {
        this.arContentGroupId = arContentGroupId;
    }

    public String getArKitPosX() {
        return this.arKitPosX;
    }

    public void setArKitPosX(String arKitPosX) {
        this.arKitPosX = arKitPosX;
    }

    public String getArKitPosY() {
        return this.arKitPosY;
    }

    public void setArKitPosY(String arKitPosY) {
        this.arKitPosY = arKitPosY;
    }

    public String getArKitPosZ() {
        return this.arKitPosZ;
    }

    public void setArKitPosZ(String arKitPosZ) {
        this.arKitPosZ = arKitPosZ;
    }

    public String getArKitScale() {
        return this.arKitScale;
    }

    public void setArKitScale(String arKitScale) {
        this.arKitScale = arKitScale;
    }

    public String getArKitAngle() {
        return this.arKitAngle;
    }

    public void setArKitAngle(String arKitAngle) {
        this.arKitAngle = arKitAngle;
    }

    public String getArKitShowLenth() {
        return this.arKitShowLenth;
    }

    public void setArKitShowLenth(String arKitShowLenth) {
        this.arKitShowLenth = arKitShowLenth;
    }

    public String getGyroPosX() {
        return this.gyroPosX;
    }

    public void setGyroPosX(String gyroPosX) {
        this.gyroPosX = gyroPosX;
    }

    public String getGyroPosY() {
        return this.gyroPosY;
    }

    public void setGyroPosY(String gyroPosY) {
        this.gyroPosY = gyroPosY;
    }

    public String getGyroPosZ() {
        return this.gyroPosZ;
    }

    public void setGyroPosZ(String gyroPosZ) {
        this.gyroPosZ = gyroPosZ;
    }

    public String getGyroPosScale() {
        return this.gyroPosScale;
    }

    public void setGyroPosScale(String gyroPosScale) {
        this.gyroPosScale = gyroPosScale;
    }

    public String getGyroPosAngle() {
        return this.gyroPosAngle;
    }

    public void setGyroPosAngle(String gyroPosAngle) {
        this.gyroPosAngle = gyroPosAngle;
    }

    public String getGyroPosShowLenth() {
        return this.gyroPosShowLenth;
    }

    public void setGyroPosShowLenth(String gyroPosShowLenth) {
        this.gyroPosShowLenth = gyroPosShowLenth;
    }

    public String getVuforiaImageInfoAreaMarking() {
        return this.vuforiaImageInfoAreaMarking;
    }

    public void setVuforiaImageInfoAreaMarking(String vuforiaImageInfoAreaMarking) {
        this.vuforiaImageInfoAreaMarking = vuforiaImageInfoAreaMarking;
    }

    public String getRemark1() {
        return this.remark1;
    }

    public void setRemark1(String remark1) {
        this.remark1 = remark1;
    }

    public String getRemark2() {
        return this.remark2;
    }

    public void setRemark2(String remark2) {
        this.remark2 = remark2;
    }

    public String getRemark3() {
        return this.remark3;
    }

    public void setRemark3(String remark3) {
        this.remark3 = remark3;
    }

    public String getRemark4() {
        return this.remark4;
    }

    public void setRemark4(String remark4) {
        this.remark4 = remark4;
    }

    public String getRemark5() {
        return this.remark5;
    }

    public void setRemark5(String remark5) {
        this.remark5 = remark5;
    }

    public String getRemark6() {
        return this.remark6;
    }

    public void setRemark6(String remark6) {
        this.remark6 = remark6;
    }

    public Integer getMapIndex() {
        return this.mapIndex;
    }

    public void setMapIndex(Integer mapIndex) {
        this.mapIndex = mapIndex;
    }

    public String getPosX() {
        return this.posX;
    }

    public void setPosX(String posX) {
        this.posX = posX;
    }

    public String getPosY() {
        return this.posY;
    }

    public void setPosY(String posY) {
        this.posY = posY;
    }

    public String getPosZ() {
        return this.posZ;
    }

    public void setPosZ(String posZ) {
        this.posZ = posZ;
    }

    public String getRemark7() {
        return this.remark7;
    }

    public void setRemark7(String remark7) {
        this.remark7 = remark7;
    }

    public String getRemark8() {
        return this.remark8;
    }

    public void setRemark8(String remark8) {
        this.remark8 = remark8;
    }

    public String getRemark9() {
        return this.remark9;
    }

    public void setRemark9(String remark9) {
        this.remark9 = remark9;
    }

    public String getFrontLevelId() {
        return this.frontLevelId;
    }

    public void setFrontLevelId(String frontLevelId) {
        this.frontLevelId = frontLevelId;
    }

    public String getIcon() {
        return this.icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public Integer getIconRank() {
        return this.iconRank;
    }

    public void setIconRank(Integer iconRank) {
        this.iconRank = iconRank;
    }

    public String getAloneFlag() {
        return this.aloneFlag;
    }

    public void setAloneFlag(String aloneFlag) {
        this.aloneFlag = aloneFlag;
    }

    public String getAutoPlay() {
        return this.autoPlay;
    }

    public void setAutoPlay(String autoPlay) {
        this.autoPlay = autoPlay;
    }

    public String getAutoDisplay() {
        return this.autoDisplay;
    }

    public void setAutoDisplay(String autoDisplay) {
        this.autoDisplay = autoDisplay;
    }

    public String getShowLevel() {
        return this.showLevel;
    }

    public void setShowLevel(String showLevel) {
        this.showLevel = showLevel;
    }

    public String getTemplateId() {
        return this.templateId;
    }

    public void setTemplateId(String templateId) {
        this.templateId = templateId;
    }

    public String getPower() {
        return this.power;
    }

    public void setPower(String power) {
        this.power = power;
    }

    public String getAreaId() {
        return this.areaId;
    }

    public void setAreaId(String areaId) {
        this.areaId = areaId;
    }

    public String getThingId() {
        return this.thingId;
    }

    public void setThingId(String thingId) {
        this.thingId = thingId;
    }

    public String getAimGroupId() {
        return this.aimGroupId;
    }

    public void setAimGroupId(String aimGroupId) {
        this.aimGroupId = aimGroupId;
    }

    public String getTemplateAimId() {
        return this.templateAimId;
    }

    public void setTemplateAimId(String templateAimId) {
        this.templateAimId = templateAimId;
    }

    public String getSearchKey() {
        return searchKey;
    }

    public void setSearchKey(String searchKey) {
        this.searchKey = searchKey;
    }

    public String getAdvancedQuery() {
        return advancedQuery;
    }

    public void setAdvancedQuery(String advancedQuery) {
        this.advancedQuery = advancedQuery;
    }

    public String getOrderByStr() {
        return orderByStr;
    }

    public void setOrderByStr(String orderByStr) {
        this.orderByStr = orderByStr;
    }

    public String getIdStr() {
        return idStr;
    }

    public void setIdStr(String idStr) {
        this.idStr = idStr;
    }

    public List<ArContent> getArContentList() {
        return arContentList;
    }

    public void setArContentList(List<ArContent> arContentList) {
        this.arContentList = arContentList;
    }
}

